This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 26953 - include config directory
include config directory
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-10 11:46 EST by chrismcc
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-10 11:46:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description chrismcc 2001-02-10 11:46:41 EST
Hello...

mod_include can include other config files.
i.e.
httpd.conf:
....
include conf/httpd.conf.virtualhosts
include conf/httpd.conf.horde
...

It can also include all files in a directory if a directory is given as the
argument.

include /etc/httpd/conf.d

Putting this in the redhat default conf would make packageing other web
based software easier.  Like horde/IMP, etc.

the seperate rpm package files could do something like:
horde.spec
...
%files
...
%config /etc/httpd/conf.d/horde.conf
/var/www/horde/*
...


/etc/httpd/conf.d/horde.conf contents:
Alias /horde /var/www/horde
...
<Directory /var/www/horde>
Require valid-user
AuthUserFile /etc/httpd/conf/htpasswd
...
</Directory>


This way you doesn't have to twiddle with the conf file as much.  Apache
upgrades would be easier too.  

Cool ?
Comment 1 Nalin Dahyabhai 2001-02-15 00:25:53 EST
Yes, it is a very useful feature.  At this time I'm trying very hard to not
change the default configuration file for Apache, so we'll make this migration
later.
Comment 2 chrismcc 2001-02-15 13:43:36 EST
When you do put it in what do you think the directory would be?

/etc/httpd/conf.d
/etc/httpd/conf/include.d/
other?

I'm packaging up some stuff we use, Horde, bugzilla, etc. to use this structure.
 I can patch apache myself to do this, (it's a one liner :).  But, I'd hate to
go back and change 15 other packages to use another directory :(

TIA
Comment 3 Bishop Clark 2001-11-08 13:01:36 EST
chrismcc:

I hear COL has already begun doing this.  They asked me for help setting it up a short while ago, and they may already have it in use in their apache package.  A 
simple rebuild toward an RH target, and you're done.

Ah, the dream of cross-platform compatibility, infinitely more complex than the unrealized cross-DISTRO compatibility...




Note You need to log in before you can comment on or make changes to this bug.